From eb0086dc4ea8fe9cda069456287b3a29a2631d30 Mon Sep 17 00:00:00 2001
From: Zheng Ruoqin <zhengrq.fnst@cn.fujitsu.com>
Date: Wed, 13 Dec 2017 16:18:45 +0900
Subject: [PATCH] Fix the error of can't find header file

Upstream-Status: Inappropriate [embedded specific]
This fix is just for yocto.

Signed-off-by: Zheng Ruoqin <zhengrq.fnst@cn.fujitsu.com>
---
 src/NCApplication.cc | 2 +-
 src/NCstyle.h        | 2 +-
 src/NCurses.h        | 2 +-
 src/ncursesp.h       | 2 +-
 src/ncursesw.cc      | 2 +-
 src/ncursesw.h       | 4 ++--
 6 files changed, 7 insertions(+), 7 deletions(-)

--- a/src/NCApplication.cc
+++ b/src/NCApplication.cc
@@ -23,7 +23,7 @@
 
 /-*/
 
-#include <ncursesw/curses.h>
+#include <curses.h>
 
 #define  YUILogComponent "ncurses"
 #include <yui/YUILog.h>
--- a/src/NCstyle.h
+++ b/src/NCstyle.h
@@ -25,7 +25,7 @@
 #ifndef NCstyle_h
 #define NCstyle_h
 
-#include <ncursesw/ncurses.h>
+#include <ncurses.h>
 
 #include <iosfwd>
 #include <string>
--- a/src/NCurses.h
+++ b/src/NCurses.h
@@ -34,7 +34,7 @@
 #include <yui/YWidget.h>
 #include <yui/YMenuItem.h>
 
-#include <ncursesw/curses.h>	/* curses.h: #define  NCURSES_CH_T cchar_t */
+#include <curses.h>	/* curses.h: #define  NCURSES_CH_T cchar_t */
 #include <wchar.h>
 
 #include "ncursesw.h"
--- a/src/ncursesp.h
+++ b/src/ncursesp.h
@@ -28,7 +28,7 @@
 #include <iosfwd>
 
 #include "ncursesw.h"
-#include <ncursesw/panel.h>
+#include <panel.h>
 
 class NCursesPanel : public NCursesWindow
 {
--- a/src/ncursesw.cc
+++ b/src/ncursesw.cc
@@ -47,7 +47,7 @@
 #include <iostream>
 #include <stdlib.h>
 #include <string.h>
-#include <ncursesw/term.h>
+#include <term.h>
 #undef line
 #undef columns
 
--- a/src/ncursesw.h
+++ b/src/ncursesw.h
@@ -27,11 +27,11 @@
 
 #include <iosfwd>
 
-#include <ncursesw/curses.h>
+#include <curses.h>
 #ifndef NCURSES_CXX_IMPEXP
 #define NCURSES_CXX_IMPEXP NCURSES_EXPORT_GENERAL_IMPORT
 #endif
-#include <ncursesw/etip.h>
+#include <etip.h>
 #include <cstdio>
 #include <cstdarg>
 #include <climits>
